@echo off

:ANFANG
cls
color 0F
echo.

echo ################################################################
echo # Kemper KHS Mini Master 2.0 (SGKE9)                           #
echo # Softwarestand des Web-Servers: 09.07.2018, BAT-Version 1.01  #
echo ################################################################
echo # Tool zur Vorbereitung einer neuen Micro SD Karte             #
echo # Die Karte wird im FAT32 Format formatiert und im Anschluss   #
echo # werden die Web-Server Dateien auf die Karte kopiert.         #
echo ################################################################
echo.
echo 1- Bitte setzen Sie die MicroSD Karte in einen Kartenleser ein.
echo 2- Stecken Sie diesen Kartenleser nun in diesen PC.
echo 3- Bitte ermitteln Sie mit Hilfe des Windows Dateimanagers/Arbeitsplatzes 
echo    den Laufwerksbuchstaben des Kartenlesers [und damit der SD Karte].
echo.
echo ACHTUNG: 
echo Bitte gehen Sie sorgfaeltig vor!
echo Alle vorhandenen Daten auf dem gewaehlten Laufwerk werden 
echo unwiederbringlich geloescht!
echo.
echo 4- Bitte geben Sie nun diesen Laufwerksbuchstaben gefolgt von einem ':' ein.
echo.

SET LAUFWERK=:
SET /p choice= Laufwerk (Format x:) und mit ENTER bestaetigen 
SET LAUFWERK=%choice%

:START

cls
color 0F
echo "Karte wird formatiert..."
echo Laufwerk: [%LAUFWERK%]
echo.
format %LAUFWERK% /FS:FAT32 /V:KHS-MASTER /Q

@IF ERRORLEVEL 1 GOTO FEHLER1

cls
ECHO "Daten werden kopiert..."
echo.
copy *.* %LAUFWERK%

@IF ERRORLEVEL 1 GOTO FEHLER2

cls
color 0F
echo "Laufwerk wird abgemeldet..."
RemoveDrive %LAUFWERK%

GOTO ENDE

:FEHLER1
color 4F
echo.
echo ###########################################################################
echo # Es ist ein Fehler beim Formatieren der SD Karte aufgetreten!            #
echo ###########################################################################
echo.
: 3x piepen:
echo   

echo Mit pruefen Sie, ob der Kartenleser korrekt mit dem PC verbunden ist,
echo und ob der gewaehlte Laufwerksbuchstabe korrekt ist.
echo Bitte vergessen Sie nicht den Doppelpunkt hinter dem Laufwerksbuchstaben!
echo.
echo Ein beliebiger Tastendruck startet einen neuen Versuch, 
echo oder mit STG+C abbrechen.
echo.
pause>NUL
GOTO ANFANG

:FEHLER2
color 4F
echo.
echo ###########################################################################
echo # Es ist ein Fehler beim Kopieren der Dateien aufgetreten!                #
echo ###########################################################################
echo.
: 3x piepen:
echo   
echo 

Bitte prüfen Sie das SD Karten Laufwerk!
echo Mit beliebiger Taste einen weiteren Versuch starten, 
echo oder mit STG+C abbrechen
echo.
pause>NUL
GOTO ANFANG

:ENDE
: 1x piepen:
echo 
cls
color 2F
echo #################################################################
echo #        Formatieren und Kopieren erfolgreich!!!                #
echo #################################################################
echo.
echo Mit beliebiger Taste weitere Karte erstellen, 
echo oder mit STG+C abbrechen
echo.
pause>NUL
GOTO START

:ABBRUCH